| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | List of all members
nkAstraeus::GraphicsEngine Class Referencefinal

Drives the graphics engine part. More...

## Public Member Functions
| GraphicsEngine (bool isSingleton) noexcept
| ~GraphicsEngine ()
nkGraphics::System * | getGraphicsSystem () const
ProgramTrackersHolder * | getProgramTrackersHolder () const
bool | initialize (const Configuration &config=Configuration())
void | shutdown ()

## Detailed Description

Drives the graphics engine part.

The graphics engine drives nkGraphics under the hood. It offers another level of abstraction and more tools to work with it.
Note that this class is part of the nkAstraeus::System, and should be used through it.

## Constructor & Destructor Documentation

## ◆ GraphicsEngine()

nkAstraeus::GraphicsEngine::GraphicsEngine | ( | bool | isSingleton | ) |
| noexcept

Constructor.

Parameters

  isSingleton | Whether the parent system is the singleton or not.

Remarks
  This

## ◆ ~GraphicsEngine()

nkAstraeus::GraphicsEngine::~GraphicsEngine | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ getGraphicsSystem()

nkGraphics::System* nkAstraeus::GraphicsEngine::getGraphicsSystem | ( |  | ) | const

Returns
  The nkGraphics::System used under the hood by the engine.

## ◆ getProgramTrackersHolder()

ProgramTrackersHolder* nkAstraeus::GraphicsEngine::getProgramTrackersHolder | ( |  | ) | const

Returns
  The program trackers holder. This is used internally by the various graphics classes within nkAstraeus.

## ◆ initialize()

bool nkAstraeus::GraphicsEngine::initialize | ( | const Configuration & | config = `Configuration()` | ) |

Initializes the graphics part of the engine. This will ensure the graphics engine is correctly set up to work within nkAstraeus.

Parameters

  config | The configuration to use when initializing the system.

Returns
  Whether the initialization went well (true) or not (false).

## ◆ shutdown()

void nkAstraeus::GraphicsEngine::shutdown | ( |  | ) |

Shuts down the graphics part of the engine, freeing all its memory.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsAstraeus/Graphics/GraphicsEngine.h